MKNOD(1)

NAMN
mknod — skapa block- eller teckenspecialfiler

SYNOPSIS
mknod [FLAGGA]... NAMN TYP [ÖVRE LÄGRE]

BESKRIVNING

Skapa specialfilen NAMN av angiven TYP.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-m, --mode=RÄTTIGHET
    Sätt filrättighetsbitar till RÄTTIGHET, inte a=rw - umask.

-Z  Sätt SELinux-säkerhetskontext till standardtypen.

--context[=KTX]
    Som -Z, eller om KTX anges, sätt då SELinux- eller SMACK-säkerhetskontext till KTX.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Både ÖVRE och LÄGRE måste anges när TYP är b, c eller u, och de får inte anges när TYP är p. Om ÖVRE eller LÄGRE börjar med 0x eller 0X tolkas det som hexadecimalt; annars, om det börjar med 0 som oktalt; annars som decimalt. TYP får vara:

b   skapa en (buffrad) blockspecialfil

c, u
    skapa en (obuffrad) teckenspecialfil

p   skapa en FIFO

Ditt skal kan ha sin egen version av mknod, som vanligen ersätter versionen som beskrivs här. Se dokumentationen för ditt skal för detaljer om valen det stödjer.

UPPHOVSMAN
Skrivet av David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
mknod(2)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/mknod>
eller tillgängligt lokalt via: info '(coreutils) mknod invocation'

Paketerat av Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.